Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create mcp server

POST/workspaces/{organizationId}/mcp/servers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
urlstring<uri>required
scopestringrequired
Allowed:workspacerepoissue
repostring
issueIdstring
Responses
201

MCP server created

idstringrequired
organizationIdstringrequired
namestringrequired
urlstringrequired
scopestringrequired
Allowed:workspacerepoissue
repostring | nullrequired
issueIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
400

Bad request

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/mcp/servers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "url": "http://example.com",
  "scope": "workspace",
  "repo": "string",
  "issueId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "url": "string",
  "scope": "workspace",
  "repo": "string",
  "issueId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?